@import "vuetify/styles";
@import "@mdi/font/css/materialdesignicons.css";

/* It targets only the app used within the browser */
@media (display-mode: browser) {
}
/* It targets only the app used with a system icon in standalone mode */
@media (display-mode: standalone) {
}
/* It targets only the app used with a system icon in all mode */
@media (display-mode: standalone), (display-mode: fullscreen), (display-mode: minimal-ui) {
}

table {
    border: 2px black solid;
    border-collapse: collapse;
    min-width: 100%;
    overflow: scroll;
}

td,
th {
    border: 1px black solid;
}

body {
    font-family: Arial, sans-serif;
    text-align: center;
}

.container {
    margin-top: 20px;
}

.centered-image {
    display: block;
    margin: 0 auto;
    width: 60%;
    max-width: 7cm;
}

.status-message {
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    margin-top: 20px;
    cursor: pointer;

    -webkit-user-select: none; /* Safari */
    user-select: none;
}

.status-message-works {
    background-color: green;
    color: white;
}

.status-message-error {
    background-color: red;
    color: white;
}

.status-message-info {
    background-color: blue;
    color: white;
}

.status-message.status-message-works.status-message-disabled,
.status-message.status-message-error.status-message-disabled,
.status-message.status-message-info.status-message-disabled,
.status-message.status-message-disabled {
    cursor: auto;
    opacity: 0.5;
}

.unselectable {
    -webkit-user-select: none; /* Safari */
    user-select: none;
}

a:link {
    text-decoration: none;
}

a:visited {
    text-decoration: none;
}

a:hover {
    text-decoration: none;
}

a:active {
    text-decoration: none;
}

#map {
    width: 100%;
    height: 90vh;
    border: 1px solid gray;
}
